com.sun.grid.jgdi.configuration

## Class JGDIAnswerImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.JGDIAnswerImpl

- All Implemented Interfaces:
    GEObject, JGDIAnswer, java.io.Serializable, java.lang.Cloneable

      public class JGDIAnswerImpl
      extends GEObjectImpl
      implements JGDIAnswer

  Java representation of the cull object AN_Type defined in sge_all_listsL.template

  Warning: The JGDIAnswerImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIAnswerImpl()` Create a new instance of JGDIAnswerImpl.
    `JGDIAnswerImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getQuality()` Get the value of the quality attribute.
    `int` | `getStatus()` Get the value of the status attribute.
    `java.lang.String` | `getText()` Get the value of the text attribute.
    `boolean` | `isSetQuality()` Determine if the quality attribute is set
    `boolean` | `isSetStatus()` Determine if the status attribute is set
    `boolean` | `isSetText()` Determine if the text attribute is set
    `void` | `setQuality(int aQuality)` Set the quality attribute.
    `void` | `setStatus(int aStatus)` Set the status attribute.
    `void` | `setText(java.lang.String aText)` Set the text attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### JGDIAnswerImpl

          public JGDIAnswerImpl()

      Create a new instance of JGDIAnswerImpl. The new instance will not be initialized with the default values.

    - #### JGDIAnswerImpl

          public JGDIAnswerImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetStatus

          public boolean isSetStatus()

      Determine if the status attribute is set
      Specified by:
        `isSetStatus` in interface `JGDIAnswer`
      Returns:
        `true` if the status attribute is set

    - #### setStatus

          public void setStatus(int aStatus)

      Set the status attribute.
      Specified by:
        `setStatus` in interface `JGDIAnswer`
      Parameters:
        `aStatus` - the new value for the status attribute

    - #### getStatus

          public int getStatus()

      Get the value of the status attribute.
      Specified by:
        `getStatus` in interface `JGDIAnswer`
      Returns:
        the value of the status attribute

    - #### isSetText

          public boolean isSetText()

      Determine if the text attribute is set
      Specified by:
        `isSetText` in interface `JGDIAnswer`
      Returns:
        `true` if the text attribute is set

    - #### setText

          public void setText(java.lang.String aText)

      Set the text attribute.
      Specified by:
        `setText` in interface `JGDIAnswer`
      Parameters:
        `aText` - the new value for the text attribute

    - #### getText

          public java.lang.String getText()

      Get the value of the text attribute.
      Specified by:
        `getText` in interface `JGDIAnswer`
      Returns:
        the value of the text attribute

    - #### isSetQuality

          public boolean isSetQuality()

      Determine if the quality attribute is set
      Specified by:
        `isSetQuality` in interface `JGDIAnswer`
      Returns:
        `true` if the quality attribute is set

    - #### setQuality

          public void setQuality(int aQuality)

      Set the quality attribute.
      Specified by:
        `setQuality` in interface `JGDIAnswer`
      Parameters:
        `aQuality` - the new value for the quality attribute

    - #### getQuality

          public int getQuality()

      Get the value of the quality attribute.
      Specified by:
        `getQuality` in interface `JGDIAnswer`
      Returns:
        the value of the quality attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `JGDIAnswer`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.